Skip to main content
POST
/
organizations
/
filter
Filter organizations
curl --request POST \
  --url https://api.pcxpay.com/v1/organizations/filter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "<string>",
  "start_date": "<string>",
  "end_date": "<string>",
  "limit": 10,
  "last_evaluated_key": {}
}
'
{
  "status": "<string>",
  "message": "<string>",
  "data": {
    "organizations": [
      {}
    ],
    "lastEvaluatedKey": {},
    "count": 123,
    "scanned_count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
country
string
start_date
string

ISO 8601 datetime (e.g. 2025-01-01T00:00:00.000Z)

end_date
string

ISO 8601 datetime (e.g. 2025-12-31T23:59:59.999Z)

limit
integer
default:10
last_evaluated_key
object

DynamoDB pagination cursor from previous response

Response

200 - application/json

Filtered organizations

status
string
message
string
data
object